package client_handlers

import (
	"cpone/utils"
	client_mdhargasingle "cpone/views/client/mdhargasingle"

	"github.com/labstack/echo/v4"
)

type MdHargaSingleService interface {
}

func NewMdHargaSingleHandler(us MdHargaSingleService) *MdHargaSingleHandler {
	return &MdHargaSingleHandler{
		MdHargaSingleService: us,
	}
}

type MdHargaSingleHandler struct {
	MdHargaSingleService MdHargaSingleService
}

func (uh *MdHargaSingleHandler) ShowMdHargaSingle(c echo.Context) error {
	helo := client_mdhargasingle.Show()
	return utils.View(c, helo)
}
